#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA4,0xCB,0x3A,0x4F,0x71,0xA0,0xFE,0x2F,0x55,0x14,0x14,0x10,
		0x7B,0x51,0x41,0x5F,0x82,0x95,0x83,0x3D,0x33,0x87,0xE3,0x5B,
		0x5B,0x93,0x49,0xEB,0xEE,0x15,0x94,0x7F,0xD8,0x72,0x04,0xB6,
		0x0B,0xA7,0x3B,0x41,0xF0,0x0B,0x1A,0x21,0x2F,0x40,0x1E,0xA4,
		0x03,0x11,0xFA,0x28,0x05,0xF9,0x11,0x2B,0x15,0x05,0x67,0xCD,
		0xA7,0x52,0xE2,0x77,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
